Skip to main content
Resource Center/Resource Pool/VM Scheduling Rule Group Operations
POSTVM Scheduling Rule Group OperationsSince 4.6.0SynchronousAuth Required

AddHostToHostSchedulingRuleGroup

AddHostToHostSchedulingRuleGroup

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • hostGroupUuidStringRequired

    The hostGroup UUID.

Body Fields

  • hostUuidStringRequired

    The host UUID.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

POST/zstack/v1/hostSchedulingRuleGroup/{hostGroupUuid}/host/{hostUuid}

/zstack/v1/hostSchedulingRuleGroup/{hostGroupUuid}/host/{hostUuid}

Operation ID

AddHostToHostSchedulingRuleGroup

Permalink

Request Example

curl -X POST 'http://{host}/zstack/v1/hostSchedulingRuleGroup/{hostGroupUuid}/host/{hostUuid}' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"hostUuid":"<hostUuid>","systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history